Subject: [clisp-list] Q: ls directory

From: [email-masked]
Date: Mon Mar 25 21:56:04 2002

Dear clisp users,

What options are there to list directory contents? I used to use
 (directory "~/*")
in clisp-2.27 and it seemed to be working. Now I'm using clisp-2.28 and find it does not give me the expected results.

I'm not sure whether it's a memory confusion or I did not compile the "wildcard" module when compile clisp-2.28 lately.

No matter what, I'd ask what should one do when one want to list a directory so as to iterate over the entries in the directory.

TIA! 

===============================================
TOM ���ŷ��� http://sms.tom.com

ŵ�������� http://sms.tom.com/index2.php?inc=3&type=24
Ħ���������� http://sms.tom.com/index2.php?inc=3&type=26
���������� http://sms.tom.com/index2.php?inc=3&type=25

ŵ����Сͼ http://sms.tom.com/index2.php?inc=2
ŵ���Ǵ�ͼ http://sms.tom.com/index2.php?inc=2&type=3740
������ͼƬ http://sms.tom.com/index2.php?inc=2&type=30

�ֻ���� http://sms.tom.com/index2.php?inc=song
===============================================